#pragma once

#include "CoreMinimal.h"
#include "StoreBaseRecommendationEditorData.h"
#include "StoreRecommendationCustomizationItemValue.h"
#include "StoreFeaturedRecommendationBundleEntryEditorData.h"
#include "StoreRecommendationCustomizationEditorData.generated.h"

USTRUCT(BlueprintType)
struct FStoreRecommendationCustomizationEditorData : public FStoreBaseRecommendationEditorData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FStoreRecommendationCustomizationItemValue> Customizations;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FStoreFeaturedRecommendationBundleEntryEditorData BundleRecommendation;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FString> Outfits;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FString> Items;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<FString> RecommendedCategoriesPriority;

public:
	DEADBYDAYLIGHT_API FStoreRecommendationCustomizationEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FStoreRecommendationCustomizationEditorData) { return 0; }
